# `SOUnicodeCol`

The SOUnicodeCol class is accessible via the `sqlobject.col` module.

## Attributes

#### a `validator`

    <property object at 0xa61d3ec>

#### a `default`

    <property object at 0xa64d0a4>

#### a `joinName`

    <property object at 0xa64d0cc>

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `createSQL(self)` ...

#### f `mysqlCreateSQL(self, connection=None)` ...

#### f `postgresCreateSQL(self)` ...

#### f `sqliteCreateSQL(self)` ...

#### f `sybaseCreateSQL(self)` ...

#### f `mssqlCreateSQL(self, connection=None)` ...

#### f `firebirdCreateSQL(self)` ...

#### f `maxdbCreateSQL(self)` ...

#### f `__get__(self, obj, type=None)` ...

#### f `__set__(self, obj, value)` ...

#### f `__delete__(self, obj)` ...

#### f `getDbEncoding(self, state, default='utf-8')` ...

#### f `__init__(self, **kw)` ...

#### f `autoConstraints(self)` ...

#### f `createValidators(self)` ...

See the source for more information.